# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "rtc";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./rtc.dhall;
  testInputs = map pkgs.genodeSources.depot [ "rtc_drv" "test-rtc" ];
  testScript = "run_genode_until {--- RTC test finished ---} 40";
}
